/* background-color:red; */

/* .videoFilter, .sideVideoControls, .videoStatus, .videoControls{
    animation : rainbow-bg 8s infinite;
} */
body {
  overscroll-behavior-y: contain;
  margin: 0;
  padding: 0;
  text-align: center;
  box-sizing: border-box;
}
.m0{
    margin:0;
}
.text-center{
    text-align:center;
}
.p{
    padding:5px;
}
.ptb-5{
    padding-top:5px;
    padding-bottom:5px;
}
.plr-5{
    padding-top:5px;
    padding-bottom:5px;
}
.m{
    margin:5px;
}
.mtb-5{
    margin-top:5px;
    margin-bottom:5px;
}
.mlr-5{
    margin-top:5px;
    margin-bottom:5px;
}

:root {
  --primaryColor: rgb(221, 0, 255);
  --gradient1: linear-gradient(90deg, #c80101, rgb(73 0 255));
}

.container {
  width: 100%;
  height: auto;
  position: relative;
  background-color: rgb(108, 196, 213);
  display: flex;
  justify-content: center;
}
.videoMainContainer {
  position: relative;
  width: auto;
  height: auto;
}
.videoContainer {
  margin: 0 auto;
  width: auto;
  height: 100vh;
}
.videoContainer video {
  height: 100%;
}
.videoFilter {
  display: flex;
  justify-content: center;
  margin-left: 50%;
  transform: translateX(-50%);
  background-color: rgba(40, 36, 36, 0.088);
  overflow: hidden;
}

.videoFilterActive,
.videoFilter:hover {
  background: var(--gradient1);
  color: #fff;
}
.sideVideoControls > .btn:hover i {
  border-radius: 50%;
  /*background: var(--gradient1);*/
}

.videoFilter > span {
  padding: 5px 10px;
}

.sideVideoControls {
  border-top-left-radius: 20px;
  z-index: 5;
  position: absolute;
  bottom: 0px;
  right: 0;
  display: flex;
  flex-direction: column;
  /*background: var(--gradient1);*/
  padding-bottom:20px;
  color:#fff;
}

.videoControls {
  box-sizing: border-box;
  padding: 35px 0;
  z-index: 3;
  position: fixed;
  bottom: 0;
  left: 0;
  height: 50px;
  width: 100%;

  display: flex;
  align-items: center;
  align-content: center;
  justify-content: space-between;
}
.videoControls a:nth-child(1){
    padding-left:15px;
}
.button{
    padding:5px 10px !important;
    margin:10px;
}

.gradientBtn {
  box-shadow: 2px 3px 2px 1px #fff;
  display: inline-block;
  padding: 0px 10px;
  color: #fff;
  text-decoration: none;
  text-transform: uppercase;
  font-size: 18px;
  letter-spacing: 2px;
  border-radius: 40px;
  background: var(--gradient1);
}
.gradientActive {
  background: var(--gradient1);
  border-radius: 50%;
  color: #fff;
}
.sideBtnActive{
    color: #ff0000 !important;
}
#uploadBtn{
    display:none;
}

/* mobile view */
@media only screen and (max-width: 420px) {
  .container {
    width: 100%;
    height: 100vh;
    position: relative;
    background: url("https://c.tenor.com/gJLmlIn6EvEAAAAM/loading-gif.gif");
    background-repeat: no-repeat;
    background-position: center;
  }
  .videoFilter {
    z-index: 2;
    position: fixed;
    top: 0;
    left: 0;
    font-size: 20px;
    font-weight: bold;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
  }
  .videoFilter > span:nth-child(1) {
    padding: 5px 10px;
    color: #ddd;
  }

  .videoMainContainer {
    height: 100%;
    width: 100%;
    overflow: hidden;
  }
  .videoContainer {
    /* border: 1px solid #333; */
    position: relative;
    height: 100%;
    width: 100%;
    overflow: hidden;
  }
  .videoContainer > video {
    height: 100%;
    width: auto;
  }
  .videoStatus {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  .videoStatus > i {
    color: #fff;
    font-size: 45px;
    padding: 2px 0 0 6px;
    background: var(--gradient1);
    border-radius: 50%;
    transform: rotate(30deg);
  }

  .vConIcon {
    padding: 3px 5px;
    font-size: 35px;
    font-weight: bold;
  }

  .sideVideoControls > a {
    padding: 12px 8px;
    color  :#fff;
  }
    .btn > p {
    color  :#fff !important;
  }
  .sideVideoControls > a:last-child {
    padding-bottom: 0px;
  }
  .sideVideoControls > a:nth-last-child() {
    padding-bottom: 0;
  }
}

.videoUploadForm {
  z-index: 5;
  position: absolute;
  top: 0px;
  width: 100%;
  background: var(--gradient1);
  display: none;
  animation: slideToggle;
  color: #fff;
}
.dragDropDiv {
  width: 100%;
  height: 200px;
}
input {
  opacity: 0;
  width: 100%;
  height: 100%;
}
h3 {
  position: absolute;
  top: 80px;
  font-size: 20px;
  margin: 5px;
  text-align: center;
  color: #fff;
}

.active {
  font-weight: bolder;
  color: #fff;
}
.flex {
  display: flex;
}
.space-evenly {
  justify-content: space-evenly;
}
.dragDropDiv {
  width: calc(100%-20px);
  padding: 5px;
  border: 2px dashed green;
}
.videoPrev {
  display: none;
  display: flex;
  justify-content: center;
  width: 100%;
  height: 700px;
  position: relative;
}
.videoPrev video {
  width: 100%;
  height: 100%;
}
.lightBg {
  background: #8d8080;
}
.hide {
  display: none;
}
#closeBtn {
  position: absolute;
  top: 0px;
  right: 0px;
  padding: 5px 10px;
  font-size: 30px;
  background-color: red;
  z-index: 5;
}

